/**
 * Created by JianJia.Zhou<jianjia.zhou> on 2022/5/20.
 */
import $api from '../api'
import constant from './constant'
import $util from './index'
import $cache from './cache.js'
module.exports = {
  computed: {
    $const() {
      return constant
    },
    $api() {
      return $api
    },
    $util() {
      return $util
    },
    $cache() {
      return $cache
    },
    $loading() {
      return function(title = '数据加载中...') {
        uni.showLoading({
          title,
          mask: true
        })
      }
    },
    $hideLoading() {
      return function() {
        uni.hideLoading()
      }
    },
    $colors() {
      return {
        main: '#652907',
        mainBg: '#F3F4F8',
        grey: '#868B91',
        black: '#2A211A',
        textBlack: '#3b434e'
      }
    }
  }
}
